Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jms.extensions
Interface ServerSessionPoolListener

public interface ServerSessionPoolListener
extends javax.jms.MessageListener

Listener interface for MessageListeners used by a ServerSessionPool.

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `initialize(java.io.Serializable userData)` MessageListeners for a ServerSessionPool are instantiated by the ServerSessionPool (not the client).

Methods inherited from interface javax.jms.MessageListener
`onMessage`

Method Detail

### initialize

    public void initialize(java.io.Serializable userData)
                    throws javax.jms.JMSException

  MessageListeners for a ServerSessionPool are instantiated by the ServerSessionPool (not the client). Client cannot pass parameters into the constructor and access them from the onMessage routine.

  This interface allows clients to pass a single parameter to the MessageListener. Specifically, a client must call the createServerSessionPool method from their ServerSessionPoolFactory and pass in the clientData. The `clientData` must implement the Serializable interface.

  Once the ServerSessionPool is created, it checks to see if the MessageListener is a ServerSessionPoolListener. If it is, then the ServerSessionPool calls the intialize method for the listener to pass in the `clientData` .

  The client implementation of the initialize method typically saves a reference to the data for use by the onMessage method.

  Parameters:
    `clientData` - reference to clientData (can be null)
  Throws:
    javax.jms.JMSException - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD